@import '../../../styles/colors.scss';
@import '../../../styles/responsive.scss';
@import '../../../styles/sizes.scss';
@import '../../../styles/fonts.scss';
.nav {
    background-color: $primarycolor;
    &__mobile {
        padding: 40px;
        @include tablet {
            display: none;
        }
        @include desktop {
            display: none;
        }
        &-container {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            &-logo {
                text-decoration: none;
                color: $secondaycolor;
                .logo-text {
                    font-family: $titlefont;
                    font-size: $logosize;
                }
                &:hover {
                    color: $detailcolor;
                    border-bottom: 2px solid $detailcolor;
                    cursor: crosshair;
                }
            }
            &-burger {
                color: $secondaycolor;
                &:hover {
                    cursor: crosshair;
                }
            }
        }
        &-downdrop {
            list-style: none;
            padding: 0;
            margin: 40px 0;
            text-align: right;
            &-item {
                margin-bottom: 40px;
                .item-nav {
                    font-family: $bodyfont;
                    font-size: $bodysize;
                    color: $secondaycolor;
                    &:hover {
                        color: $detailcolor;
                        border-bottom: 2px solid $detailcolor;
                        font-weight: 700;
                        cursor: crosshair;
                    }
                }
                &:last-child {
                    margin-bottom: 0;
                }
            }
        }
    }
    &__desktop {
        display: none;
        @include tablet {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            padding: 40px 60px;
        }
        @include desktop {
            padding: 40px 100px;
        }
        &-logo {
            text-decoration: none;
            color: $secondaycolor;
            .logo-text {
                font-family: $titlefont;
                font-size: $logosize;
                @include tablet {
                    font-size: 45px;
                }
                @include desktop {
                    font-size: 55px;
                }
            }
            &:hover,
            &:active,
            &:focus {
                color: $detailcolor;
                border-bottom: 2px solid $detailcolor;
                cursor: crosshair;
            }
        }
        &-list {
            list-style: none;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            &-item {
                margin-right: 40px;
                &:last-child {
                    margin-right: 0;
                }
                .item-nav {
                    font-family: $bodyfont;
                    font-size: 17px;
                    color: $secondaycolor;
                    @include desktop {
                        font-size: 20px;
                    }
                    &:hover,
                    &:active,
                    &:focus {
                        color: $detailcolor;
                        border-bottom: 2px solid $detailcolor;
                        font-weight: 700;
                        cursor: crosshair;
                    }
                }
            }
        }
    }
}

.hide {
    display: none;
}